View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000821Ecere SDKide:parsingpublic2013-04-24 04:212014-05-19 01:32
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000821: memory leaks
Descriptionmemory leaks while parsing code in the code editor

Object of class GlobalData ???
Object of class ModuleImport (pass15.ec, instance.ec)
Symbol, Type (SelectorBar.ec)
Specifier, ModuleImport (Window.ec)
TagsNo tags attached.
Attached Files

- Relationships
related to 0000154closedjerome The IDE Leaks a lot 
related to 0000501closedjerome Picture.ec: memory leaks (compiler) 
related to 0000503closedjerome Some interesting memory leaks compiling dataTypes.ec 
related to 0000385closedjerome Leaks in repositionning parser 
related to 0000079closedjerome The watches do not handle global data properly 

-  Notes
(0001292)
jerome (administrator)
2014-05-14 09:57

All these leaks have been verified as fixed.

Likely contributing commits:
https://github.com/ecere/ecere-sdk/commit/29fd6d7ae39a54275daa317a8c4681b40ba04119 [^]
https://github.com/ecere/ecere-sdk/commit/3a296f27c5dfa8bfd848595938fbcd8a1186695b [^]
https://github.com/ecere/ecere-sdk/commit/d8a59a88cf5f40d92af9fb92aa891725492abb7f [^]

- Issue History
Date Modified Username Field Change
2013-04-24 04:21 redj New Issue
2013-04-24 04:22 redj Relationship added related to 0000154
2013-04-24 04:22 redj Relationship added related to 0000501
2013-04-24 04:22 redj Relationship added related to 0000503
2013-04-24 04:23 redj Relationship added related to 0000385
2013-04-24 04:23 redj Description Updated
2013-04-25 09:07 jerome Target Version => 0.44.1 64
2013-04-25 09:07 jerome Priority normal => immediate
2014-04-30 08:59 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-04-30 09:00 jerome Status new => assigned
2014-04-30 09:00 jerome Assigned To => jerome
2014-05-03 21:11 jerome Relationship added related to 0000079
2014-05-14 09:57 jerome Status assigned => resolved
2014-05-14 09:57 jerome Fixed in Version => 0.44.10 64
2014-05-14 09:57 jerome Resolution open => fixed
2014-05-14 09:57 jerome Note Added: 0001292
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker